v.dissolve(1)

NAME
v.dissolve - Dissolves boundaries between adjacent areas sharing a common category number or attribute.

KEYWORDS
vector, dissolve, area, line

SYNOPSIS
v.dissolve
v.dissolve --help
v.dissolve input=name [layer=string] [column=name] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input vector map
    Or data source for direct OGR access

layer=string
    Layer number or name.
    Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
    Default: 1

column=name
    Name of attribute column used to dissolve common boundaries

output=name [required]
    Name for output vector map

DESCRIPTION
The v.dissolve module is used to merge adjacent areas in a vector map which share the same category value. The resulting merged area(s) retains this category value. Alternatively an integer or string column can be defined which is used to find adjacent polygons with identical attribute for common boundary dissolving. In this case the categories are not retained, only the values of the new key column. See the v.reclass help page for details.

NOTES
GRASS defines a vector area as composite entity consisting of a set of closed boundaries and a centroid. The centroids must contain a category number (see v.centroids), this number is linked to area attributes and database links.

Multiple attributes may be linked to a single vector entity through numbered fields referred to as layers. Refer to v.category for more details.

Merging of areas can also be accomplished using v.extract -d which provides some additional options. In fact, v.dissolve is simply a front-end to that module. The use of the column parameter adds a call to v.reclass before.

EXAMPLES

  Basic use

v.dissolve input=undissolved output=dissolved

  Dissolving based on column attributes
North Carolina data set:

g.copy vect=soils_general,mysoils_general
v.dissolve mysoils_general output=mysoils_general_families column=GSL_NAME

  Dissolving adjacent SHAPE files to remove tile boundaries
If tile boundaries of adjacent maps (e.g. CORINE Landcover SHAPE files) have to be removed, an extra step is required to remove duplicated boundaries:

# patch tiles after import:
v.patch -e `g.list type=vector pat="clc2000_*" separator=","` out=clc2000_patched
# remove duplicated tile boundaries:
v.clean clc2000_patched out=clc2000_clean tool=snap,break,rmdupl thresh=.01
# dissolve based on column attributes:
v.dissolve input=clc2000_clean output=clc2000_final col=CODE_00

SEE ALSO
v.category, v.centroids, v.extract, v.reclass

AUTHORS
module: M. Hamish Bowman, Dept. Marine Science, Otago University, New Zealand
Markus Neteler for column support
help page: Trevor Wiens

SOURCE CODE

Available at: v.dissolve source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.3.0dev Reference Manual